Skip to main content
`Ctrl`+`K`

# MatDenseGetArrayRead

gives read-only access to the array where the data for a `MATDENSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetArrayRead(Mat A, const PetscScalar **array)

Not Collective

## Input Parameter

- A - a dense matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseRestoreArrayRead()`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatDenseGetArrayWrite()`, `MatDenseRestoreArrayWrite()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseGetArrayRead_MPIDense() in src/mat/impls/dense/mpi/mpidense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages